summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-11-11 13:55:16 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2020-11-11 15:21:18 +0100
commit959f25226c1853f70f516f1ee05b0ea2e9057d33 (patch)
treebf637f0d72e0bfe7f3382f7ec7603619801cad64
parentkde-plasma/xdg-desktop-portal-kde: 5.20.3 version bump (diff)
downloadgentoo-959f25226c1853f70f516f1ee05b0ea2e9057d33.tar.gz
gentoo-959f25226c1853f70f516f1ee05b0ea2e9057d33.tar.bz2
gentoo-959f25226c1853f70f516f1ee05b0ea2e9057d33.zip
kde-plasma/xembed-sni-proxy: 5.20.3 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--kde-plasma/xembed-sni-proxy/Manifest1
-rw-r--r--kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.20.3.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/kde-plasma/xembed-sni-proxy/Manifest b/kde-plasma/xembed-sni-proxy/Manifest
index 126754b39a7c..bd1b130ce7d5 100644
--- a/kde-plasma/xembed-sni-proxy/Manifest
+++ b/kde-plasma/xembed-sni-proxy/Manifest
@@ -1,2 +1,3 @@
DIST plasma-workspace-5.19.5.tar.xz 5682264 BLAKE2B 435ea4c73fe50fb78911efb607f1a22ce6fe4a8f089b90b44374e7932d4f0111069dbce0168eedb61de09affdae3549563365bf85b4bbafb33fc69fad6b343e8 SHA512 4cab64c1f817f391a61ae15e37bf1fc936ddd3fb3b234e281a3e5750b67dab05c1c156789446096cbde719bf972e876757c1c5ae78adde4e85f3591fa8df5df9
DIST plasma-workspace-5.20.2.tar.xz 8995036 BLAKE2B b75d4dcfbf41fe9379bb132486604ac18702641b7d14e1f3ea20f5cc434b385c7f45446a471a761e7a7a3cc0c1d6996ad3545b84ac78cbbbc27dcebf51bf497f SHA512 fb65ed1ee61c25cba282432157b96401c32bbbd0eec1da56dc7727760e817aa333ed3088b1ea707d3593c530d4987de9cb4c73200314e9064d8e880e82be0e1e
+DIST plasma-workspace-5.20.3.tar.xz 9031572 BLAKE2B 242286eef9d15b9dacec0dca3a7899c538141490611f932e0ebff59e1ea7a54cbad56e3bcad6e4a720b4f7610de2fc0e128288c3fe3d2b9e8255ffe16e0b86fa SHA512 c1daa19834ea7997a8e44fcb6ce9745d5bac56a0a4d99320e1e3e42e9cb5489aa36887e3c2bd8e385644d555d355211c9dba6c40edf2471478566c531a2d9c89
diff --git a/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.20.3.ebuild b/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.20.3.ebuild
new file mode 100644
index 000000000000..7fbf12903ee7
--- /dev/null
+++ b/kde-plasma/xembed-sni-proxy/xembed-sni-proxy-5.20.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_ORG_NAME="plasma-workspace"
+KFMIN=5.74.0
+PVCUT=$(ver_cut 1-3)
+QTMIN=5.15.1
+inherit cmake kde.org
+
+DESCRIPTION="Legacy xembed tray icons support for SNI-only system trays"
+HOMEPAGE="https://invent.kde.org/plasma/plasma-workspace/-/blob/master/xembed-sni-proxy/Readme.md"
+
+LICENSE="GPL-2"
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+ >=dev-qt/qtcore-${QTMIN}:5
+ >=dev-qt/qtdbus-${QTMIN}:5
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtx11extras-${QTMIN}:5
+ >=kde-frameworks/extra-cmake-modules-${KFMIN}:5
+ >=kde-frameworks/kwindowsystem-${KFMIN}:5[X]
+ x11-libs/libxcb
+ x11-libs/libXtst
+ x11-libs/xcb-util-image
+"
+RDEPEND="${DEPEND}
+ !<kde-plasma/plasma-workspace-5.14.2:5
+ !kde-plasma/xembed-sni-proxy:0
+"
+
+S="${S}/${PN}"
+
+PATCHES=( "${FILESDIR}/${PN}-5.14.90-standalone.patch" )
+
+src_prepare() {
+ cmake_src_prepare
+
+ sed -e "/set/s/GENTOO_PV/$(ver_cut 1-3)/" \
+ -i CMakeLists.txt || die "Failed to prepare CMakeLists.txt"
+}